-- require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'
require "Items/ItemPicker"

-- Silencer

table.insert(BagsAndContainers.Bag_Police.items, "Silencer");
table.insert(BagsAndContainers.Bag_Police.items, 1);

table.insert(BagsAndContainers.ALICEpack_Army.items, "Silencer");
table.insert(BagsAndContainers.ALICEpack_Army.items, 0.5);

table.insert(ProceduralDistributions["list"]["ArmyBunkerLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmyBunkerLockers"].items, 0.2);

table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 2);

table.insert(ProceduralDistributions["list"]["ArmySurplusMisc"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusMisc"].items, 1.5);

table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 0.1);

table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 0.1);

table.insert(ProceduralDistributions["list"]["DerelictHouseCrime"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DerelictHouseCrime"].items, 0.5);

table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);

table.insert(ProceduralDistributions["list"]["DrugShackMisc"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DrugShackMisc"].items, 0.1);

table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, 2);

table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 4);

table.insert(ProceduralDistributions["list"]["FirearmWeapons_Mid"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["FirearmWeapons_Mid"].items, 4);

table.insert(ProceduralDistributions["list"]["FirearmWeapons_Late"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["FirearmWeapons_Late"].items, 4);

table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 4);

table.insert(ProceduralDistributions["list"]["GunStoreAccessories"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreAccessories"].items, 8);

table.insert(ProceduralDistributions["list"]["GunStoreGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreGuns"].items, 6);

table.insert(ProceduralDistributions["list"]["GunStoreRifles"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreRifles"].items, 6);

table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 1);

table.insert(ProceduralDistributions["list"]["HuntingLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["HuntingLockers"].items, 0.2);

table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, 1);

table.insert(ProceduralDistributions["list"]["LockerArmyBedroomHome"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroomHome"].items, 1);

table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, 3);

table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, 8);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 1)

table.insert(ProceduralDistributions["list"]["PoliceCaptainDesk"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceCaptainDesk"].items, 0.5);

table.insert(ProceduralDistributions["list"]["PoliceDesk"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceDesk"].items, 0.1);

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 5);

table.insert(ProceduralDistributions["list"]["PoliceLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceLockers"].items, 1);

table.insert(ProceduralDistributions["list"]["PoliceStateTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceStateTools"].items, 1);

table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 3);

table.insert(ProceduralDistributions["list"]["PoliceTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceTools"].items, 1);

table.insert(ProceduralDistributions["list"]["PrisonGuardLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PrisonGuardLockers"].items, 0.5);

table.insert(ProceduralDistributions["list"]["SchoolLockersBad"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["SchoolLockersBad"].items, 0.03);

table.insert(ProceduralDistributions["list"]["SecurityDesk"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["SecurityDesk"].items, 0.5);

table.insert(ProceduralDistributions["list"]["SecurityLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["SecurityLockers"].items, 1);

table.insert(SuburbsDistributions["Bag_WeaponBag"].items, "Silencer");
table.insert(SuburbsDistributions["Bag_WeaponBag"].items, 0.5);

table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "Silencer");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 1);

table.insert(SuburbsDistributions["GunCache1"]["counter"].items, "Silencer");
table.insert(SuburbsDistributions["GunCache1"]["counter"].items, 2);

table.insert(SuburbsDistributions["GunCache1"]["plankstash"].items, "Silencer");
table.insert(SuburbsDistributions["GunCache1"]["plankstash"].items, 2);

table.insert(SuburbsDistributions["GunCache1"]["Bag_DuffelBagTINT"].items, "Silencer");
table.insert(SuburbsDistributions["GunCache1"]["Bag_DuffelBagTINT"].items, 2);

table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "Silencer");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 1);

table.insert(SuburbsDistributions["GunCache2"]["Bag_DuffelBagTINT"].items, "Silencer");
table.insert(SuburbsDistributions["GunCache2"]["Bag_DuffelBagTINT"].items, 2);

table.insert(VehicleDistributions.ArmyGloveBox.items,"Silencer");
table.insert(VehicleDistributions.ArmyGloveBox.items, 5);

table.insert(VehicleDistributions.PoliceSWATGloveBox.items,"Silencer");
table.insert(VehicleDistributions.PoliceSWATGloveBox.items,2);

-- Makeshift Silencer

table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 0.1);

table.insert(ProceduralDistributions["list"]["DerelictHouseCrime"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DerelictHouseCrime"].items, 2);

table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 2);

table.insert(ProceduralDistributions["list"]["DrugShackMisc"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DrugShackMisc"].items, 0.2);

table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, 4);

table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 2);

table.insert(ProceduralDistributions["list"]["FirearmWeapons_Mid"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["FirearmWeapons_Mid"].items, 4);

table.insert(ProceduralDistributions["list"]["FirearmWeapons_Late"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["FirearmWeapons_Late"].items, 6);

table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 2);

table.insert(ProceduralDistributions["list"]["HuntingLockers"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["HuntingLockers"].items, 0.1);

table.insert(ProceduralDistributions["list"]["LockerArmyBedroomHome"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroomHome"].items, 0.5);

table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, 1);

table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, 4);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 5)

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["SchoolLockersBad"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["SchoolLockersBad"].items, 0.5);

table.insert(SuburbsDistributions["Bag_WeaponBag"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["Bag_WeaponBag"].items, 0.5);

table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 1);

table.insert(SuburbsDistributions["GunCache1"]["counter"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["GunCache1"]["counter"].items, 2);

table.insert(SuburbsDistributions["GunCache1"]["plankstash"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["GunCache1"]["plankstash"].items, 5);

table.insert(SuburbsDistributions["GunCache1"]["Bag_DuffelBagTINT"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["GunCache1"]["Bag_DuffelBagTINT"].items, 2);

table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 1);

table.insert(SuburbsDistributions["GunCache2"]["Bag_DuffelBagTINT"].items, "MetalPipeSilencer");
table.insert(SuburbsDistributions["GunCache2"]["Bag_DuffelBagTINT"].items, 2);

-- Thug Notebook

table.insert(ProceduralDistributions["list"]["BarCounterWeapon"]["junk"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"]["junk"].items, 1);

table.insert(ProceduralDistributions["list"]["BedroomSidetableRedneck"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["BedroomSidetableRedneck"].items, 0.75);

table.insert(ProceduralDistributions["list"]["DerelictHouseCrime"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["DerelictHouseCrime"].items, 2);

table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 2);

table.insert(ProceduralDistributions["list"]["DrugShackMisc"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["DrugShackMisc"].items, 0.2);

table.insert(ProceduralDistributions["list"]["ImprovisedCrafts"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["ImprovisedCrafts"].items, 3)

table.insert(ProceduralDistributions["list"]["LivingRoomShelfRedneck"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["LivingRoomShelfRedneck"].items, 0.5)

table.insert(ProceduralDistributions["list"]["LivingRoomSideTableRedneck"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["LivingRoomSideTableRedneck"].items, 0.1)

table.insert(ProceduralDistributions["list"]["LockerArmyBedroomHome"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroomHome"].items, 0.5);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 10)

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["SafehouseBookShelf"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["SafehouseBookShelf"].items, 0.2);

table.insert(ProceduralDistributions["list"]["SchoolLockersBad"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["SchoolLockersBad"].items, 2);

table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, 0.5);

table.insert(ProceduralDistributions["list"]["WardrobeRedneck"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["WardrobeRedneck"].items, 1);

table.insert(SuburbsDistributions["GunCache1"]["plankstash"].items, "ThugNotebook");
table.insert(SuburbsDistributions["GunCache1"]["plankstash"].items, 5);